Foreman - Bug #22199

Audit user and user group linking
01/09/2018 03:39 PM - Marek Hulan

Status: Closed
Priority: Normal
Assignee: Lukas Zapletal
Category: Audit Log
Target version: 1.18.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/5187,
https://github.com/theforeman/foreman/p
ull/5450
Description

In order to audit all changes that might affect user permissions, it's not enough to just audit user roles, which is covered by #22051.
We also need:

As a user with view_audits permission | want to see user audit record creates when a role has been assigned to a user.

As a user with view_audits permission | want to see user group audit record created when a role has been assigned to a user group.
As a user with view_audits permission | want to see user group audit record created when user group is assigned/disassigned
another user group as parent/children. Note that this can have implications on what permissions a user in a given parent user group
has grantes.

As a user with view_audits permission | want to see user audit record created when user is assigned or disassigned from a user
group. This should include automatic external user group sync. Wile it does not necessarily is triggered by user, without this

information, the critical part would be missing.

As a user with view_audits permission | want to see role audit record created when role permissions changes.

Related issues:

Related to Foreman - Tracker #21879: [TRACKER] Audit every possible resource New 12/06/2017
Related to Foreman - Bug #6235: User group membership changes not audited Resolved 06/16/2014
Related to Foreman - Bug #23195: associations are not audited on creation Closed 04/10/2018
Related to Foreman - Bug #23965: audit: undefined method “each' for "":String Closed 06/17/2018

Associated revisions

Revision dOeef9af - 03/07/2018 07:01 AM - Swapnil Abnave
Fixes #22199 - Audit has_many associations (#5187)

History

#1 - 01/09/2018 03:39 PM - Marek Hulan
- Related to Tracker #21879: [TRACKER] Audit every possible resource added

#2 - 01/15/2018 08:23 AM - Tomer Brisker
- Related to Bug #6235: User group membership changes not audited added

#3 -01/18/2018 09:13 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/5187 added

#4 - 03/07/2018 07:01 AM - Marek Hulan
- translation missing: en.field_release set to 330

#5 - 03/07/2018 08:07 AM - Swapnil Abnave
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset dOeef9afa6d8e9ddd43fb1949ebadcd8245531aa.

#6 - 04/10/2018 10:01 AM - Tomer Brisker

- Related to Bug #23195: associations are not audited on creation added

#7 - 04/13/2018 08:36 AM - The Foreman Bot
- Assignee set to Lukas Zapletal

- Pull request https://github.com/theforeman/foreman/pull/5450 added

#8 - 06/18/2018 07:59 AM - Tomer Brisker
- Related to Bug #23965: audit: undefined method “each’ for "":String added
